#include <avr/pgmspace.h>
#include "cordic.h"

const int16_t cordic_atan_tab[1+16] PROGMEM =
{
    // 1 / GAIN
    CORDIC_SCALE_OUT (CORDIC_GAIN),
    
    CORDIC_SCALE_IN (0.78539816),   // atan (2^{-0})
    CORDIC_SCALE_IN (0.46364761),   // atan (2^{-1})
    CORDIC_SCALE_IN (0.24497866),   // atan (2^{-2})
    CORDIC_SCALE_IN (0.12435499),   // atan (2^{-3})
    CORDIC_SCALE_IN (0.06241881),   // atan (2^{-4})
    CORDIC_SCALE_IN (0.03123983),   // atan (2^{-5})
    CORDIC_SCALE_IN (0.01562373),   // atan (2^{-6})
    CORDIC_SCALE_IN (0.00781234),   // atan (2^{-7})
    CORDIC_SCALE_IN (0.00390623),   // atan (2^{-8})
    CORDIC_SCALE_IN (0.00195312),   // atan (2^{-9})
    CORDIC_SCALE_IN (0.00097656),   // atan (2^{-10})
    CORDIC_SCALE_IN (0.00048828),   // atan (2^{-11})
    CORDIC_SCALE_IN (0.00024414),   // atan (2^{-12})
    CORDIC_SCALE_IN (0.00012207),   // atan (2^{-13})
    CORDIC_SCALE_IN (0.00006104),   // atan (2^{-14})
    CORDIC_SCALE_IN (0.00003052)    // atan (2^{-15})
};
